HanMacWrdJGraphInternal::TextboxFrame Struct Referencefinal

Internal: the textbox frame of a HanMacWrdJGraph. More...

Inheritance diagram for HanMacWrdJGraphInternal::TextboxFrame:

## Public Member Functions

| TextboxFrame (Frame const &orig)
| constructor
| ~TextboxFrame () final
| destructor
bool | valid () const final
| returns true if the frame data are read
bool | isLinked () const
| returns true if the box is linked to other textbox
std::string | print () const
| print local data
Public Member Functions inherited from HanMacWrdJGraphInternal::Frame
| Frame ()
| constructor
| Frame (Frame const &)=default
virtual | ~Frame ()
| destructor
MWAWBox2f | getBdBox () const
| return the frame bdbox

## Public Attributes

long | m_zId
| the text id
double | m_width
| the zone width
long | m_cPos
| the first char pos
long | m_linkToFId
| the next link zone
bool | m_isLinked
| true if this zone is linked
Public Attributes inherited from HanMacWrdJGraphInternal::Frame
int | m_type
| the graph type
long | m_fileId
| the file id
int | m_id
| the local id
int | m_formatId
| the format id
int | m_page
| the page
MWAWBox2f | m_pos
| the position
float | m_baseline
| the baseline
bool | m_inGroup
| true if this node is a group's child
bool | m_parsed
| true if we have send the data
std::string | m_extra
| an extra string

## Detailed Description

Internal: the textbox frame of a HanMacWrdJGraph.

## Constructor & Destructor Documentation

## TextboxFrame()

HanMacWrdJGraphInternal::TextboxFrame::TextboxFrame | ( | Frame const & | orig | ) |

inline explicit

constructor

## ~TextboxFrame()

HanMacWrdJGraphInternal::TextboxFrame::~TextboxFrame | ( |  | ) |

final

destructor

## Member Function Documentation

## isLinked()

bool HanMacWrdJGraphInternal::TextboxFrame::isLinked | ( |  | ) | const

inline

returns true if the box is linked to other textbox

Referenced by HanMacWrdJGraph::sendGroupChild().

## print()

std::string HanMacWrdJGraphInternal::TextboxFrame::print | ( |  | ) | const

inline

print local data

## valid()

bool HanMacWrdJGraphInternal::TextboxFrame::valid | ( |  | ) | const

inline final virtual

returns true if the frame data are read

Reimplemented from HanMacWrdJGraphInternal::Frame.

Referenced by valid().

## Member Data Documentation

## m_cPos

long HanMacWrdJGraphInternal::TextboxFrame::m_cPos

the first char pos

Referenced by print(), and TextboxFrame().

## m_isLinked

bool HanMacWrdJGraphInternal::TextboxFrame::m_isLinked

true if this zone is linked

Referenced by isLinked(), HanMacWrdJGraph::prepareStructures(), HanMacWrdJGraph::sendTextbox(), and TextboxFrame().

## m_linkToFId

long HanMacWrdJGraphInternal::TextboxFrame::m_linkToFId

the next link zone

Referenced by isLinked(), HanMacWrdJGraph::prepareStructures(), HanMacWrdJGraph::sendTextbox(), and TextboxFrame().

## m_width

double HanMacWrdJGraphInternal::TextboxFrame::m_width

the zone width

Referenced by print(), and TextboxFrame().

## m_zId

long HanMacWrdJGraphInternal::TextboxFrame::m_zId

the text id

Referenced by HanMacWrdJGraph::getTextFrameInformations(), print(), HanMacWrdJGraph::sendTextbox(), and TextboxFrame().

The documentation for this struct was generated from the following file:

- HanMacWrdJGraph.cxx